curl --request GET \
--url 'https://api-prod.usefini.com/v2/business-rules/fields-context/public' \
--header 'Authorization: Bearer fini_your_api_key'
const response = await fetch('https://api-prod.usefini.com/v2/business-rules/fields-context/public', {
method: 'GET',
headers: {
Authorization: 'Bearer fini_your_api_key'
}
});
const data = await response.json();
import requests
response = requests.get(
"https://api-prod.usefini.com/v2/business-rules/fields-context/public",
headers={"Authorization": "Bearer fini_your_api_key"},
)
data = response.json()
{
"userAttributes": [
{
"id": "attr_01",
"name": "Plan",
"inputSchema": [
{
"name": "email",
"dataType": "string",
"required": true
}
],
"outputSchema": [
{
"name": "plan",
"type": "string"
}
]
}
],
"actions": [
{
"id": "tool_01",
"name": "Create Zendesk ticket",
"inputSchema": [
{
"name": "Conversation URL",
"dataType": "string",
"path": "conversationUrl",
"required": true
}
],
"outputSchema": [
{
"name": "ticketUrl",
"dataType": "string",
"path": "ticket.url"
}
]
}
],
"defaultActions": [
{
"id": "default_tool_01",
"name": "Send escalation message",
"inputSchema": [
{
"name": "message",
"dataType": "string",
"required": true
}
],
"outputSchema": [
{
"name": "sent",
"dataType": "boolean",
"path": "sent"
}
]
}
],
"tagGroups": [
{
"id": "tag_group_01",
"name": "Conversation Status",
"tags": [
{
"id": "tag_01",
"name": "Escalated to Human Agent"
}
]
}
],
"widgetForms": [
{
"id": "form_01",
"name": "Escalation form",
"fields": [
{
"id": "field_01",
"name": "Order ID",
"dataType": "string"
}
]
}
],
"contextFields": [
{
"name": "Interaction History Transcript",
"path": "interactionHistoryTranscript",
"dataType": "string"
}
],
"operatorTypes": [
{
"value": "equals",
"label": "Equals"
}
],
"quantifierTypes": [
{
"value": "any",
"label": "Any"
}
],
"sources": [
"widget"
]
}
Business Rules
Get Business Rule fields context
Get the fields and resources available to Business Rule trees.
GET
/
v2
/
business-rules
/
fields-context
/
public
curl --request GET \
--url 'https://api-prod.usefini.com/v2/business-rules/fields-context/public' \
--header 'Authorization: Bearer fini_your_api_key'
const response = await fetch('https://api-prod.usefini.com/v2/business-rules/fields-context/public', {
method: 'GET',
headers: {
Authorization: 'Bearer fini_your_api_key'
}
});
const data = await response.json();
import requests
response = requests.get(
"https://api-prod.usefini.com/v2/business-rules/fields-context/public",
headers={"Authorization": "Bearer fini_your_api_key"},
)
data = response.json()
{
"userAttributes": [
{
"id": "attr_01",
"name": "Plan",
"inputSchema": [
{
"name": "email",
"dataType": "string",
"required": true
}
],
"outputSchema": [
{
"name": "plan",
"type": "string"
}
]
}
],
"actions": [
{
"id": "tool_01",
"name": "Create Zendesk ticket",
"inputSchema": [
{
"name": "Conversation URL",
"dataType": "string",
"path": "conversationUrl",
"required": true
}
],
"outputSchema": [
{
"name": "ticketUrl",
"dataType": "string",
"path": "ticket.url"
}
]
}
],
"defaultActions": [
{
"id": "default_tool_01",
"name": "Send escalation message",
"inputSchema": [
{
"name": "message",
"dataType": "string",
"required": true
}
],
"outputSchema": [
{
"name": "sent",
"dataType": "boolean",
"path": "sent"
}
]
}
],
"tagGroups": [
{
"id": "tag_group_01",
"name": "Conversation Status",
"tags": [
{
"id": "tag_01",
"name": "Escalated to Human Agent"
}
]
}
],
"widgetForms": [
{
"id": "form_01",
"name": "Escalation form",
"fields": [
{
"id": "field_01",
"name": "Order ID",
"dataType": "string"
}
]
}
],
"contextFields": [
{
"name": "Interaction History Transcript",
"path": "interactionHistoryTranscript",
"dataType": "string"
}
],
"operatorTypes": [
{
"value": "equals",
"label": "Equals"
}
],
"quantifierTypes": [
{
"value": "any",
"label": "Any"
}
],
"sources": [
"widget"
]
}
Returns the workspace resources and built-in runtime context that can be referenced by a Business Rule tree.
Headers
string
required
Bearer token containing your Fini workspace API key. Format:
Bearer fini_... The key needs read scope.Response
FieldResource[]
Workspace user attributes with their input and output schemas.
curl --request GET \
--url 'https://api-prod.usefini.com/v2/business-rules/fields-context/public' \
--header 'Authorization: Bearer fini_your_api_key'
const response = await fetch('https://api-prod.usefini.com/v2/business-rules/fields-context/public', {
method: 'GET',
headers: {
Authorization: 'Bearer fini_your_api_key'
}
});
const data = await response.json();
import requests
response = requests.get(
"https://api-prod.usefini.com/v2/business-rules/fields-context/public",
headers={"Authorization": "Bearer fini_your_api_key"},
)
data = response.json()
{
"userAttributes": [
{
"id": "attr_01",
"name": "Plan",
"inputSchema": [
{
"name": "email",
"dataType": "string",
"required": true
}
],
"outputSchema": [
{
"name": "plan",
"type": "string"
}
]
}
],
"actions": [
{
"id": "tool_01",
"name": "Create Zendesk ticket",
"inputSchema": [
{
"name": "Conversation URL",
"dataType": "string",
"path": "conversationUrl",
"required": true
}
],
"outputSchema": [
{
"name": "ticketUrl",
"dataType": "string",
"path": "ticket.url"
}
]
}
],
"defaultActions": [
{
"id": "default_tool_01",
"name": "Send escalation message",
"inputSchema": [
{
"name": "message",
"dataType": "string",
"required": true
}
],
"outputSchema": [
{
"name": "sent",
"dataType": "boolean",
"path": "sent"
}
]
}
],
"tagGroups": [
{
"id": "tag_group_01",
"name": "Conversation Status",
"tags": [
{
"id": "tag_01",
"name": "Escalated to Human Agent"
}
]
}
],
"widgetForms": [
{
"id": "form_01",
"name": "Escalation form",
"fields": [
{
"id": "field_01",
"name": "Order ID",
"dataType": "string"
}
]
}
],
"contextFields": [
{
"name": "Interaction History Transcript",
"path": "interactionHistoryTranscript",
"dataType": "string"
}
],
"operatorTypes": [
{
"value": "equals",
"label": "Equals"
}
],
"quantifierTypes": [
{
"value": "any",
"label": "Any"
}
],
"sources": [
"widget"
]
}
FieldResource[]
Workspace actions available to Tool nodes.
FieldResource[]
Fini-provided actions available to Tool nodes.
TagGroup[]
Input tag groups and their tags.
WidgetForm[]
Widget forms and their typed fields.
ContextField[]
Built-in escalation and integration fields available to Business Rules.
Operator[]
Condition operators as
{ value, label } objects.Quantifier[]
Array quantifiers as
{ value, label } objects.string[]
Interaction sources available in the workspace.
Errors
401 Unauthorized
401 Unauthorized
The API key is missing, malformed, revoked, or invalid.
403 Forbidden
403 Forbidden
The API key does not include the
read scope required for this route.Was this page helpful?

